/**
 * AT Internet smarttag service
 */
(function ($, Drupal, drupalSettings, tarteaucitron) {

  // Process only if atsmarttag settings have been defined.
  if (drupalSettings.atsmarttag !== undefined) {

    // Disable default AT Internet SmartTag behavior.
    Drupal.behaviors.atsmarttag = {
      attach: function (context, settings) {}
    };

    // AT Internet SmartTag service definition.
    tarteaucitron.services.atinternet_smarttag = {
      key: "atinternet_smarttag",
      type: "analytic",
      name: "AT Internet (SmartTag)",
      uri: "https://helpcentre.atinternet-solutions.com/hc/fr/categories/360002439300-Privacy-Centre",
      needConsent: true,
      cookies: [
        "atidvisitor",
        "atreman",
        "atredir",
        "atsession",
        "atuserid",
        "attvtreman",
        "attvtsession",
      ],
      js: function () {
        "use strict";
        drupalSettings.atsmarttag.createTagAndDispatch();
      },
    };

  }

})(jQuery, Drupal, drupalSettings, tarteaucitron);
